Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(828)

Issue 14021010: Add file association for .webp to Chrome. (Closed)

Created:
5 years, 1 month ago by Stephen
Modified:
5 years, 1 month ago
Reviewers:
gab, grt (UTC plus 2)
CC:
chromium-reviews, grt+watch_chromium.org
Visibility:
Public.

Description

Add file association for .webp to Chrome. This CL will enable Chrome to be a registered handler for .webp files on Windows. BUG=234275 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=197423

Patch Set 1 #

Patch Set 2 : Added L prefix #

Patch Set 3 : Separated default from non-default file associations #

Patch Set 4 : #

Patch Set 5 : #

Total comments: 2

Patch Set 6 : Renamed kFileAssociations to kDefaultFileAssociations #

Unified diffs Side-by-side diffs Delta from patch set Stats (+26 lines, -17 lines) Patch
M chrome/installer/setup/uninstall.cc View 1 2 3 4 2 chunks +5 lines, -4 lines 0 comments Download
M chrome/installer/util/shell_util.h View 1 2 3 4 5 1 chunk +7 lines, -2 lines 0 comments Download
M chrome/installer/util/shell_util.cc View 1 2 3 4 5 5 chunks +14 lines, -11 lines 0 comments Download

Messages

Total messages: 10 (0 generated)
Stephen
PTAL.
5 years, 1 month ago (2013-04-26 21:02:01 UTC) #1
grt (UTC plus 2)
The bug says to register Chrome as the default if nothing else is registered. I ...
5 years, 1 month ago (2013-04-27 00:54:38 UTC) #2
Stephen
On 2013/04/27 00:54:38, grt wrote: > The bug says to register Chrome as the default ...
5 years, 1 month ago (2013-04-27 03:06:04 UTC) #3
Stephen
OK, please take another look. I took a similar approach to BrowserProtocolAssociations/PotentialBrowserProtocolAssociations by creating two ...
5 years, 1 month ago (2013-04-28 23:44:09 UTC) #4
gab
lgtm, note however that this will require Chrome to re-register. This happens on update, unless ...
5 years, 1 month ago (2013-04-29 21:15:04 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/skonig@chromium.org/14021010/22001
5 years, 1 month ago (2013-04-30 04:06:28 UTC) #6
Stephen
https://chromiumcodereview.appspot.com/14021010/diff/15001/chrome/installer/util/shell_util.cc File chrome/installer/util/shell_util.cc (right): https://chromiumcodereview.appspot.com/14021010/diff/15001/chrome/installer/util/shell_util.cc#newcode1223 chrome/installer/util/shell_util.cc:1223: const wchar_t* ShellUtil::kFileAssociations[] = {L".htm", L".html", L".shtml", On 2013/04/29 ...
5 years, 1 month ago (2013-04-30 04:08:37 UTC) #7
commit-bot: I haz the power
Retried try job too often on linux_aura for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_aura&number=36483
5 years, 1 month ago (2013-04-30 05:09:19 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/skonig@chromium.org/14021010/22001
5 years, 1 month ago (2013-04-30 17:35:33 UTC) #9
commit-bot: I haz the power
5 years, 1 month ago (2013-04-30 19:25:54 UTC) #10
Message was sent while issue was closed.
Change committed as 197423

Powered by Google App Engine
This is Rietveld 408576698